no more /dev/ttySL0 device node

Bug #375148 reported by Rolf Leggewie on 2009-05-11
36
This bug affects 4 people
Affects Status Importance Assigned to Milestone
sl-modem (Ubuntu)
High
أحمد المحمودي (Ahmed El-Mahmoudy)

Bug Description

Ever since I updated to Jaunty, I cannot access the Winmodem in my Thinkpad X24 any longer. This used to work fine in Hardy. I think I have the necessary packages installed and even upgraded to the PPA packages from Ahmed, the Debian maintainer. The dkms module is compiled fine, there just is no /dev/ttySL0 device node. /dev/modem thus points into nirvana.

$ dpkg -l sl-modem* dkms
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name Version Description
+++-=========================-=========================-==================================================================
ii dkms 2.0.21.1-0ubuntu3 Dynamic Kernel Module Support Framework
ii sl-modem-daemon 2.9.11~20090222-1~ppa1 SmartLink software modem daemon
un sl-modem-modules <none> (no description available)
un sl-modem-modules-new <none> (no description available)
ii sl-modem-source 2.9.11~20090222-1~ppa1 SmartLink software modem driver - module building source

$ ll /dev/modem
lrwxrwxrwx 1 root root 6 2009-05-11 23:33 /dev/modem -> ttySL0

=========== Test case ==============

* ALSA (uses snd_atiixp_modem module)
In /etc/default/sl-modem-daemon:
SLMODEMD_DEVICE=modem:1

$ sudo invoke-rc.d sl-modem-daemon start
Starting SmartLink Modem driver for: modem:1.
Creating /dev/modem symlink, pointing to: /dev/ttySL0.

$ ls -l /dev/ttySL0
lrwxrwxrwx 1 root root 10 2010-03-25 03:48 /dev/ttySL0 -> /dev/pts/2

$ ls -l /dev/pts/2
crw-rw---- 1 root dialout 136, 2 2010-03-25 03:51 /dev/pts/2

$ sudo invoke-rc.d sl-modem-daemon stop
Shutting down SmartLink Modem driver normally.
Unloading modem driver from kernel ... snd_atiixp_modem.

* slamr
In /etc/default/sl-modem-daemon:
SLMODEMD_DEVICE=slamr0

$ sudo invoke-rc.d sl-modem-daemon start
Starting SmartLink Modem driver for: slamr0.
Creating /dev/modem symlink, pointing to: /dev/ttySL0.

$ ls -l /dev/ttySL0
lrwxrwxrwx 1 root root 10 2010-03-25 04:00 /dev/ttySL0 -> /dev/pts/1

$ ls -l /dev/pts/1
crw-rw---- 1 root dialout 136, 1 2010-03-25 04:00 /dev/pts/1

* Dialup to internet (in both cases: ALSA & slamr) is done with wvdial,
  I have the following setting in wvdial.conf:

Carrier Check = no

* Tested fax sending using efax, and it sent faxes. Of course that only
  works with slamr module.

On Thu, May 14, 2009 at 02:22:41PM -0000, Launchpad Bug Tracker wrote:
> Ever since I updated to Jaunty, I cannot access the Winmodem in my
> Thinkpad X24 any longer. This used to work fine in Hardy. I think I
> have the necessary packages installed and even upgraded to the PPA
> packages from Ahmed, the Debian maintainer. The dkms module is compiled
> fine, there just is no /dev/ttySL0 device node. /dev/modem thus points
> into nirvana.
---end quoted text---

  I expect this problem from the package in official Jaunty
  repositories, since they removed some necessary code to get devices
  created, namely they removed sl-modem-daemon.modutils which had this
  line:

  install slamr /sbin/modprobe -qb ungrab-winmodem; /sbin/modprobe --ignore-install slamr; test -e /dev/slamr0 && (chmod 660 /dev/slamr0 && chgrp dialout /dev/slamr0) || (/bin/mknod -m 660 /dev/slamr0 c 242 0 2>/dev/null && chgrp dialout /dev/slamr0)

  Anyways, since also the package on PPA failed with you, could you
  please attach the /etc/default/sl-modem-daemon configuration file ?

  Also, give me the output of:

  ls -l /dev/sl*

--
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0x9DCA0B27 (@ subkeys.pgp.net)
 GPG Fingerprint: 087D 3767 8CAC 65B1 8F6C 156E D325 C3C8 9DCA 0B27

Rolf Leggewie (r0lf) wrote :

Ahmed, thank you for the quick reply. Here is the information you requested.

$ ls -l /dev/sl*
crw-rw---- 1 root dialout 242, 0 2009-05-14 17:05 /dev/slamr0

On Thu, May 14, 2009 at 03:47:43PM -0000, Rolf Leggewie wrote:
> Ahmed, thank you for the quick reply. Here is the information you
> requested.
>
> $ ls -l /dev/sl*
> crw-rw---- 1 root dialout 242, 0 2009-05-14 17:05 /dev/slamr0
---end quoted text---

Try this setting in /etc/default/sl-modem-daemon:

SLMODEMD_DEVICE=slamr0

--
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0x9DCA0B27 (@ subkeys.pgp.net)
 GPG Fingerprint: 087D 3767 8CAC 65B1 8F6C 156E D325 C3C8 9DCA 0B27

Could you also provide me with the output of 'lsmod' command ?

--
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0x9DCA0B27 (@ subkeys.pgp.net)
 GPG Fingerprint: 087D 3767 8CAC 65B1 8F6C 156E D325 C3C8 9DCA 0B27

Rolf Leggewie (r0lf) wrote :
Download full text (3.3 KiB)

SLMODEMD_DEVICE=slamr0 and restarting sl-modem-daemon still creates the ttySL0 link.

$ lsmod
Module Size Used by
nfs 266344 1
lockd 74156 1 nfs
nfs_acl 11136 1 nfs
sunrpc 195424 10 nfs,lockd,nfs_acl
slamr 435496 0
xt_multiport 11264 1
iptable_filter 10752 1
ip_tables 19472 1 iptable_filter
x_tables 23044 2 xt_multiport,ip_tables
binfmt_misc 16776 1
radeon 342816 0
drm 96296 1 radeon
bridge 56340 0
stp 10500 1 bridge
bnep 20224 2
vboxnetflt 91016 0
vboxdrv 117544 1 vboxnetflt
autofs4 32516 2
ungrab_winmodem 9984 0
input_polldev 11912 0
nsc_ircc 29328 0
hostap 113924 0
ieee80211_crypt 13444 1 hostap
ircomm_tty 42888 0
ircomm 27780 1 ircomm_tty
lp 17156 0
snd_intel8x0 37532 2
snd_ac97_codec 112292 1 snd_intel8x0
ac97_bus 9856 1 snd_ac97_codec
snd_pcm_oss 46336 0
snd_mixer_oss 22656 1 snd_pcm_oss
snd_pcm 82948 3 snd_intel8x0,snd_ac97_codec,snd_pcm_oss
snd_seq_dummy 10756 0
snd_seq_oss 37760 0
snd_seq_midi 14336 0
snd_rawmidi 29696 1 snd_seq_midi
snd_seq_midi_event 15104 2 snd_seq_oss,snd_seq_midi
snd_seq 56880 7 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_seq_midi_event
gspca_t613 19712 0
snd_timer 29704 2 snd_pcm,snd_seq
thinkpad_acpi 66560 0
snd_seq_device 14988 5 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_rawmidi,snd_seq
gspca_main 29952 1 gspca_t613
led_class 12036 1 thinkpad_acpi
pcmcia 44748 0
ppdev 15620 0
iTCO_wdt 19108 0
iTCO_vendor_support 11652 1 iTCO_wdt
nvram 16396 1 thinkpad_acpi
parport_pc 40100 1
videodev 41600 1 gspca_main
snd 62628 15 snd_intel8x0,snd_ac97_codec,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_seq_oss,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
video 25360 0
psmouse 61972 0
yenta_socket 32396 2
rsrc_nonstatic 19328 1 yenta_socket
pcmcia_core 43540 3 pcmcia,yenta_socket,rsrc_nonstatic
intel_agp 34108 1
v4l1_compat 21764 1 videodev
irda 197180 3 nsc_ircc,ircomm_tty,ircomm
output 11008 1 video
serio_raw 13316 0
parport 42220 3 lp,ppdev,parport_pc
pcspkr 10496 0
soundcore 15200 1 snd
shpchp 40212 0
agpgart 42696 2 drm,intel_agp
snd_page_alloc 16904 2 snd_intel8x0,snd_pcm
crc_ccitt 10112 1 irda
usbhid 42336 0
e100 41740 0
mii 13312 1 e100
fbcon 46112 0...

Read more...

On Thu, May 14, 2009 at 05:50:28PM -0000, Rolf Leggewie wrote:
> SLMODEMD_DEVICE=slamr0 and restarting sl-modem-daemon still creates the
> ttySL0 link.
>
> $ lsmod
> slamr 435496 0
---end quoted text---

  Ok, that looks fine, so what is the output of: ls -l /dev/ttySL0

--
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0x9DCA0B27 (@ subkeys.pgp.net)
 GPG Fingerprint: 087D 3767 8CAC 65B1 8F6C 156E D325 C3C8 9DCA 0B27

Rolf Leggewie (r0lf) wrote :

"there just is no /dev/ttySL0 device node"

That device node is not there.

1. Please give me the output of dmesg
2. Try running: sudo slmodemd

Changed in sl-modem (Ubuntu):
status: New → Confirmed

I tried it on a laptop that got a smartlink modem, I found that modprobe slamr give the following in dmesg:

[ 541.027817] slamr: module license 'Smart Link Ltd.' taints kernel.
[ 541.032227] slamr: SmartLink AMRMO modem.
[ 600.955715] modprobe[9918]: segfault at 00000000 eip 0804aea8 esp bff965a0 error 6
[ 670.000230] slamr: SmartLink AMRMO modem.
[ 1952.792266] modprobe[11675]: segfault at 00000000 eip 0804aea8 esp bfaf8100 error 6
[ 2004.762641] slamr: SmartLink AMRMO modem.
[ 2159.890901] modprobe[11990]: segfault at 00000000 eip 0804aea8 esp bf82e640 error 6
[ 2329.763453] slamr: SmartLink AMRMO modem.

Also, running: sudo slmodemd gives:
error: mdm setup: cannot open dev `/dev/slamr0': No such device
error: cannot setup device `/dev/slamr0'

Rolf Leggewie (r0lf) wrote :

Ahmed, I get the same as you.

Changed in sl-modem (Ubuntu):
importance: Undecided → Medium
Darik Horn (dajhorn) wrote :

This is the change in Jaunty that seems to have broken sl-modem:

https://launchpad.net/ubuntu/+source/sl-modem/2.9.11~20080817-3ubuntu2

Darik Horn (dajhorn) wrote :

If sl-modem was working for you properly in Hardy or Intrepid, then the easy solution for Jaunty is to restore the modprobe file. (Look for the file attached to this comment.)

The proper fix is likely a new udev rule.

Try blacklisting those modules:
snd_intel_8x0m
snd_via82xx_modem
slamr

I am also facing the same issue. After adding sl-modem.conf file, supplied by Darik Horn has solved my problem. i have PCI SM56 Motorola chip-set base modem.

@ Darik Horn:
I think udev rule will solve the problem for USB base modem. But what about PCI base modem?

--
KERNEL=="slusb[0-9]*", GROUP="dialout", RUN+="/etc/init.d/sl-modem-daemon"
--

Please try the package in my PPA:
https://launchpad.net/~aelmahmoudy/+archive/ppa/+sourcepub/659030/+listing-archive-extra

--
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7 (@ subkeys.pgp.net)
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7

Rolf Leggewie (r0lf) wrote :

Hi Ahmed,

thank you for the packages. Do you actually test before shipping them?

sudo dpkg -i sl-modem-*deb
[...]
Setting up sl-modem-source (2.9.11~20090222-1~jaunty1) ...
Adding Module to DKMS build system

Error! DKMS tree already contains: sl-modem-2.9.11~20090222
You cannot add the same module/version combo more than once.
dpkg: error processing sl-modem-source (--configure):
 subprocess post-installation script returned error exit status 3
[...]

Furthermore, do you have any reasonable expectation that the new package fixes this issue? There is nothing in the Changelog which seems related.

Rolf Leggewie (r0lf) wrote :

removing and then reinstalling the package gave another (non-fatal) error. Apparently, it expects the sources somewhere under /lib/modules while they are under /usr/src, I believe.

Rolf Leggewie (r0lf) wrote :

The package is broken beyond hope and I don't feel like fixing it. It won't even install or properly reinstall. Please fix and test your packages. Feel free to contact me again when you have something that at least has a chance of working.

On Fri, Jun 26, 2009 at 06:21:05AM -0000, Rolf Leggewie wrote:
> The package is broken beyond hope and I don't feel like fixing it. It
> won't even install or properly reinstall. Please fix and test your
> packages. Feel free to contact me again when you have something that at
> least has a chance of working.
---end quoted text---

I didn't have any of your problems here !

--
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7 (@ subkeys.pgp.net)
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7

Rolf Leggewie (r0lf) wrote :

Try "aptitude reinstall sl-modem-source" and tell me that works for you.

On Fri, Jun 26, 2009 at 07:00:08AM -0000, Rolf Leggewie wrote:
> Try "aptitude reinstall sl-modem-source" and tell me that works for you.
---end quoted text---

$ sudo aptitude reinstall sl-modem-source
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
The following packages will be REINSTALLED:
  sl-modem-source
0 packages upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 3 not upgraded.
Need to get 0B/265kB of archives. After unpacking 0B will be used.
Writing extended state information... Done
(Reading database ... 249878 files and directories currently installed.)
Preparing to replace sl-modem-source 2.9.11~20090222-1~jaunty1 (using .../sl-modem-source_2.9.11~20090222-1~jaunty1_i386.deb) ...
Removing all DKMS Modules
Done.
Unpacking replacement sl-modem-source ...
Setting up sl-modem-source (2.9.11~20090222-1~jaunty1) ...
Adding Module to DKMS build system
Doing initial module build
Installing initial module
Done.

Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done

$

--
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7 (@ subkeys.pgp.net)
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7

This appears to be busted pretty bad in Karmic Koala.

I followed the instructions from here. I had both a /dev/ttySL0 and /dev/modem. wvdial was able to communicate with modem, but was always getting NO CARRIER which I now see is bug 237773. Since I was stupid and didn't check for that bug before rebooting, I now no longer have a /dev/ttySL0. (i.e. this bug.)

Is there some faint hope of actually getting this fixed in the Karmic build tree? Judging from these messages it looks like the thing only works on one machine in the world. I don't need to receive faxes, but I do have to send some. I'm trying my SmartLink modem because the Intel536EP package will no longer build under Karmic, "owner" got dropped from a structure in favor of UID and GID.

This really needs to be fixed in Karmic.

On Thu, Aug 13, 2009 at 02:18:39AM -0000, seasoned_geek wrote:
> This appears to be busted pretty bad in Karmic Koala.
>
> I followed the instructions from here. I had both a /dev/ttySL0 and
> /dev/modem. wvdial was able to communicate with modem, but was always
> getting NO CARRIER which I now see is bug 237773. Since I was stupid
> and didn't check for that bug before rebooting, I now no longer have a
> /dev/ttySL0. (i.e. this bug.)
>
> Is there some faint hope of actually getting this fixed in the Karmic
> build tree? Judging from these messages it looks like the thing only
> works on one machine in the world. I don't need to receive faxes, but I
> do have to send some. I'm trying my SmartLink modem because the
> Intel536EP package will no longer build under Karmic, "owner" got
> dropped from a structure in favor of UID and GID.
>
> This really needs to be fixed in Karmic.
---end quoted text---

Please try sl-modem 2.9.11~20090222-2~5.gbpb41b1b from my PPA [1]
In this package I've re-enabled udev support.

[1] http://launchpad.net/~aelmahmoudy/+archive/ppa

--
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7 (@ subkeys.pgp.net)
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7

Download full text (5.4 KiB)

On Tuesday 18 August 2009 11:19:46 am أحمد المحمودي (Ahmed El-Mahmoudy) wrote:
> On Thu, Aug 13, 2009 at 02:18:39AM -0000, seasoned_geek wrote:
> > This appears to be busted pretty bad in Karmic Koala.
> >
> > I followed the instructions from here. I had both a /dev/ttySL0 and
> > /dev/modem. wvdial was able to communicate with modem, but was always
> > getting NO CARRIER which I now see is bug 237773. Since I was stupid
> > and didn't check for that bug before rebooting, I now no longer have a
> > /dev/ttySL0. (i.e. this bug.)
> >
> > Is there some faint hope of actually getting this fixed in the Karmic
> > build tree? Judging from these messages it looks like the thing only
> > works on one machine in the world. I don't need to receive faxes, but I
> > do have to send some. I'm trying my SmartLink modem because the
> > Intel536EP package will no longer build under Karmic, "owner" got
> > dropped from a structure in favor of UID and GID.
> >
> > This really needs to be fixed in Karmic.
>
> ---end quoted text---
>
> Please try sl-modem 2.9.11~20090222-2~5.gbpb41b1b from my PPA [1]
> In this package I've re-enabled udev support.
>
> [1] http://launchpad.net/~aelmahmoudy/+archive/ppa

I clicked on the i386.deb package and the installation shows the following:

(Reading database ... (Reading database ... 5%(Reading database ...
10%(Reading database ... 15%(Reading database ... 20%(Reading database ...
25%(Reading database ... 30%(Reading database ... 35%(Reading database ...
40%(Reading database ... 45%(Reading database ... 50%(Reading database ...
55%(Reading database ... 60%(Reading database ... 65%(Reading database ...
70%(Reading database ... 75%(Reading database ... 80%(Reading database ...
85%(Reading database ... 90%(Reading database ... 95%(Reading database ...
100%(Reading database ... 153475 files and directories currently installed.)
Preparing to replace sl-modem-daemon 2.9.11~20080817-3ubuntu2 (using .../sl-
modem-daemon_2.9.11~20090222-2~5.gbpb41b1b_i386.deb) ...
Shutting down SmartLink Modem driver normally ... no slmodemd daemon running.
Unloading modem driver from kernel ... slamr.
Unpacking replacement sl-modem-daemon ...
Setting up sl-modem-daemon (2.9.11~20090222-2~5.gbpb41b1b) ...
The system user `Slmodemd' already exists. Exiting.
Starting SmartLink Modem driver for: slamr0.
Creating /dev/modem symlink, pointing to: /dev/ttySL0.

Processing triggers for man-db ...

However, I see this in the device directory
roland@logikaldesktop:/drive_d/dec_book_cd$ dir /dev
adsp loop3 ram5 snd tty32 tty62
audio loop4 ram6 sndstat tty33 tty63
binder loop5 ram7 sr0 tty34 tty7
block loop6 ram8 stderr tty35 tty8
bus loop7 ram9 stdin tty36 tty9
cdrom lp0 random stdout tty37 ttyS0
cdrw mapper rfkill tty tty38 ttyS1
char mem rtc tty0 tty39 ttyS2
console mixer rtc0 tty1 tty4 ttyS3
core modem ...

Read more...

Rolf Leggewie (r0lf) wrote :

I gave this another shot. But essentially, other than the package actually installing there is 0 progress, no matter the fiddling.

The original description in comment 0 still pretty much sums up the currrent state of affairs.

Ok, I need to understand wether the problem is from new upstream or is
it caused by a change in the kernel version, so I am uploading the last
working version of sl-modem (2.9.10+2.9.9d+e-pre2-5ubuntu4) to my PPA,
but built for karmic.

https://launchpad.net/~aelmahmoudy/+archive/wine

So can you test this one, and see if it works for you ?

--
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7 (@ subkeys.pgp.net)
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7

I used Kpackagekit to manually un-install all things sl-modem. I downloaded
your .deb and clicked on it to install. The package installed. I have no
/dev/ttySL0 device.

If we were supposed to do something different for the installation you should
have sent that in the message.

On Monday 31 August 2009 05:36:31 am أحمد المحمودي (Ahmed El-Mahmoudy) wrote:
> Ok, I need to understand wether the problem is from new upstream or is
> it caused by a change in the kernel version, so I am uploading the last
> working version of sl-modem (2.9.10+2.9.9d+e-pre2-5ubuntu4) to my PPA,
> but built for karmic.
>
> https://launchpad.net/~aelmahmoudy/+archive/wine
>
> So can you test this one, and see if it works for you ?

--
Roland Hughes, President
Logikal Solutions
(630)-205-1593 (cell)
http://www.theminimumyouneedtoknow.com
http://www.infiniteexposure.net
http://www.logikalsolutions.com

On Mon, Aug 31, 2009 at 01:23:28PM -0000, seasoned_geek wrote:
> I used Kpackagekit to manually un-install all things sl-modem. I downloaded
> your .deb and clicked on it to install. The package installed. I have no
> /dev/ttySL0 device.
>
> If we were supposed to do something different for the installation you should
> have sent that in the message.
---end quoted text---

Please send me the output of:

dpkg -l 'sl-modem*'

and also the contents of the file: /etc/default/sl-modem-daemon

--
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7 (@ subkeys.pgp.net)
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7

Download full text (3.4 KiB)

roland@logikaldesktop:~$ dpkg -l 'sl-modem*'
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err:
uppercase=bad)
||/ Name Version Description
+++-============================-============================-
========================================================================
ii sl-modem-daemon 2.9.10+2.9.9d+e-pre2-5ubuntu SmartLink
software modem daemon
un sl-modem-modules <none> (no description
available)
pn sl-modem-modules-2.6.31-3-ge <none> (no description
available)
un sl-modem-modules-new <none> (no description
available)
pn sl-modem-source <none> (no description
available)
roland@logikaldesktop:~$

roland@logikaldesktop:~$ cat /etc/default/sl-modem-daemon
# NOTE: settings in /etc/defautls/slmodemd are used too

# set this to 1 to never run the daemon from the init script
# you can set it if you have an USB device, than the init script won't
# be started at boot (but when the USB device is plugged on)
DONTSTART=0

# This is the default configuration for the slmodem driver daemon
# running on Debian systems.
#
# Edit device node and country code here ...
#
# possible country codes are:
#
# USA
# GERMANY
# BELGIUM
# etc.
#
# use 'slmodemd --countrylist' to check out other countries
#
#
#SLMODEMD_DEVICE=slamr0
#SLMODEMD_COUNTRY=GERMANY

SLMODEMD_DEVICE=auto
SLMODEMD_COUNTRY=USA

#
# Additional options for slmodemd, see "slmodemd -h" output for details.
# Do NOT set country or device name here!

OPTS=""

# force the start of the daemon even if old type modules seem to be
# installed (set it to 1)

FORCESTART=0

# set this to not see any hints of the init script on startup

# BEQUIET=0

# set this to not create the /dev/modem symlink

# NOSYMLINK=0

On Monday 31 August 2009 11:14:09 am أحمد المحمودي (Ahmed El-Mahmoudy) wrote:
> On Mon, Aug 31, 2009 at 01:23:28PM -0000, seasoned_geek wrote:
> > I used Kpackagekit to manually un-install all things sl-modem. I
> > downloaded your .deb and clicked on it to install. The package
> > installed. I have no /dev/ttySL0 device.
> >
> > If we were supposed to do something different for the installation you
> > should have sent that in the message.
>
> ---end quoted text---
>
> Please send me the output of:
>...

Read more...

On Mon, Aug 31, 2009 at 04:33:14PM -0000, seasoned_geek wrote:
> pn sl-modem-source <none> (no description
> available)

You'll need to install the sl-modem-source package if you want a
/dev/ttySL0 device node. The package is also available on the PPA.

> SLMODEMD_DEVICE=auto

Please change this to: SLMODEMD_DEVICE=slamr0

--
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7 (@ subkeys.pgp.net)
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7

Do I need to do a build then, or just install the source package?

On Tuesday 01 September 2009 12:53:52 am أحمد المحمودي (Ahmed El-Mahmoudy)
wrote:
> On Mon, Aug 31, 2009 at 04:33:14PM -0000, seasoned_geek wrote:
> > pn sl-modem-source <none> (no
> > description available)
>
> You'll need to install the sl-modem-source package if you want a
> /dev/ttySL0 device node. The package is also available on the PPA.
>
> > SLMODEMD_DEVICE=auto
>
> Please change this to: SLMODEMD_DEVICE=slamr0

--
Roland Hughes, President
Logikal Solutions
(630)-205-1593 (cell)
http://www.theminimumyouneedtoknow.com
http://www.infiniteexposure.net
http://www.logikalsolutions.com

On Tue, Sep 01, 2009 at 12:24:14PM -0000, seasoned_geek wrote:
> Do I need to do a build then, or just install the source package?
---end quoted text---

After install sl-modem-source package, you'll then need to build
following the instructions in
/usr/share/doc/sl-modem-source/README.Debian

--
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7 (@ subkeys.pgp.net)
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7

Now you will have to wait for the 200+ updates which are currently applying.
Once they are done and I reboot, I'll have to back out the sl-modem stuff
again, then install your version, then do the build.

On Tuesday 01 September 2009 08:30:43 am أحمد المحمودي (Ahmed El-Mahmoudy)
wrote:
> On Tue, Sep 01, 2009 at 12:24:14PM -0000, seasoned_geek wrote:
> > Do I need to do a build then, or just install the source package?
>
> ---end quoted text---
>
> After install sl-modem-source package, you'll then need to build
> following the instructions in
> /usr/share/doc/sl-modem-source/README.Debian

--
Roland Hughes, President
Logikal Solutions
(630)-205-1593 (cell)
http://www.theminimumyouneedtoknow.com
http://www.infiniteexposure.net
http://www.logikalsolutions.com

Download full text (7.5 KiB)

First attempt:

============================================
roland@logikaldesktop:~$ cd /usr/src
roland@logikaldesktop:/usr/src$ sudo tar jxvf sl-modem.tar.bz2
[sudo] password for roland:
tar: Record size = 8 blocks
modules/
modules/sl-modem/
modules/sl-modem/ungrab-winmodem/
modules/sl-modem/ungrab-winmodem/Readme.txt
modules/sl-modem/ungrab-winmodem/ungrab-winmodem.c
modules/sl-modem/ungrab-winmodem/Makefile
modules/sl-modem/modem/
modules/sl-modem/modem/modem_param.h
modules/sl-modem/modem/modem_debug.h
modules/sl-modem/modem/modem_dp.h
modules/sl-modem/modem/modem_defs.h
modules/sl-modem/modem/modem.h
modules/sl-modem/modem/modem_timer.h
modules/sl-modem/modem/modem_homolog.h
modules/sl-modem/drivers/
modules/sl-modem/drivers/amrmo_init.c
modules/sl-modem/drivers/st7554.c
modules/sl-modem/drivers/amrlibs.o
modules/sl-modem/drivers/Makefile
modules/sl-modem/drivers/sysdep_amr.c
modules/sl-modem/drivers/kernel-ver.c
modules/sl-modem/drivers/old_st7554.c
modules/sl-modem/debian/
modules/sl-modem/debian/control.modules.in
modules/sl-modem/debian/changelog
modules/sl-modem/debian/sl-modem-modules-_KVERS_.postinst.modules.in
modules/sl-modem/debian/compat
modules/sl-modem/debian/control
modules/sl-modem/debian/copyright
modules/sl-modem/debian/rules
modules/sl-modem/patches/
modules/sl-modem/patches/alsa-linux-2.6.0.patch
roland@logikaldesktop:/usr/src$ cd modules/sl-modem
roland@logikaldesktop:/usr/src/modules/sl-modem$ sudo debian/rules kdist
KVERS=`uname -r` KSRC=/usr/src/kernel-headers-`uname -r`
/usr/bin/make -f debian/rules kdist_clean kdist_config binary-modules
make[1]: Entering directory `/usr/src/modules/sl-modem'
dh_testdir
dh_testroot
rm -f build-arch-stamp build-indep-stamp configure-stamp ...

Read more...

Could you rather try:

sudo module-assistant auto-install sl-modem-source

Please make sure that linux-headers-generic is installed.

--
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7 (@ subkeys.pgp.net)
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7

Download full text (6.9 KiB)

roland@logikaldesktop:~$ cd /usr/src/modules/sl-modem
roland@logikaldesktop:/usr/src/modules/sl-modem$ dir
debian drivers modem patches ungrab-winmodem
roland@logikaldesktop:/usr/src/modules/sl-modem$ sudo module-assistant auto-
install sl-modem-source
[sudo] password for roland:

Updated infos about 1 packages
Getting source for kernel version: 2.6.31-9-generic
Kernel headers available in /usr/src/linux
Creating symlink...
Couldn't create the /usr/src/linux symlink!
apt-get install build-essential
Reading package lists... Done
Building dependency tree
Reading state information... Done
build-essential is already the newest version.
The following packages were automatically installed and are no longer
required:
  libwxgtk2.6-dbg python-dbg libwxbase2.6-dbg python2.6-dbg
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 4 not upgraded.
1 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
Setting up sl-modem-source (2.9.11~20080817-3ubuntu2) ...
Adding Module to DKMS build system

Error! DKMS tree already contains: sl-modem-2.9.11~20080817
You cannot add the same module/version combo more than once.
dpkg: error processing sl-modem-source (--configure):
 subprocess installed post-installation script returned error exit status 3
Errors were encountered while processing:
 sl-modem-source
E: Sub-process /usr/bin/dpkg returned an error code (1)

Done!
unpack
Extracting the package tarball, /usr/src/sl-modem.tar.bz2, please wait...
"/usr/share/modass/packages/default.sh" build KVERS=2.6.31-9-generic
KSRC=/usr/src/linux-headers-2.6.31-9-generic KDREV=2.6.31-9.29 kdist_image
Done with /usr/src/sl-modem-modules-2.6.31-9-
generic_2.9.11~20080817-3ubuntu2+2.6.31-9.29_i386.deb .
dpkg -Ei /usr/src/sl-modem-modules-2.6.31-9-
generic_2.9.11~20080817-3ubuntu2+2.6.31-9.29_i386.deb
Selecting previously deselected package sl-modem-modules-2.6.31-9-generic.
(Reading database ... 239499 files and directories currently installed.)
Unpacking sl-modem-modules-2.6.31-9-generic (from .../sl-modem-
modules-2.6.31-9-generic_2.9.11~20080817-3ubuntu2+2.6.31-9.29_i386.deb) ...
Setting up sl-modem-modules-2.6.31-9-generic
(2.9.11~20080817-3ubuntu2+2.6.31-9.29) ...
WARNING: All config files need .conf: /etc/modprobe.d/sl-modem-daemon.modutils,
it will be ignored in a future release.
WARNING: All config files need .conf: /etc/modprobe.d/sl-modem-daemon.modutils,
it will be ignored in a future release.
Starting SmartLink Modem driver for: slamr0.
Creating /dev/modem symlink, pointing to: /dev/ttySL0.

roland@logikaldesktop:/usr/src/modules/sl-modem$

roland@logikaldesktop:/usr/src/modules/sl-modem$ sudo wvdialconf
Editing `/etc/wvdial.conf'.

Scanning your serial ports for a modem.

ttyS0<*1>: ATQ0 V1 E1 -- failed with 2400 baud, next try: 9600 baud
ttyS0<*1>: ATQ0 V1 E1 -- failed with 9600 baud, next try: 115200 baud
ttyS0<*1>: ATQ0 V1 E1 -- and failed too at 115200, giving up. ...

Read more...

On Thu, Sep 03, 2009 at 05:47:09PM -0000, seasoned_geek wrote:
> Setting up sl-modem-source (2.9.11~20080817-3ubuntu2) ...

You were supposed to be trying version
2.9.10+2.9.9d+e-pre2-5ubuntu4~ppa2 not 2.9.11~20080817-3ubuntu2.

Probably sl-modem-source get updated when you've done an apt-get upgrade
or so.

> Scanning your serial ports for a modem.
>
> ttySL0<*1>: Modem Identifier: ATI -- SmartLink Soft Modem
>
> Found a modem on /dev/ttySL0.
> Modem configuration written to /etc/wvdial.conf.
> ttySL0<Info>: Speed 460800; init "ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0"

Ok, so finally you do have a /dev/ttySL0 although you're using
2.9.11~20080817-3ubuntu2 !

> ATDTw16302051593
> NO CARRIER
> ERROR

try having one or both of these lines in /etc/wvdial.conf:

Carrier Check = no
Stupid Mode = yes

--
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7 (@ subkeys.pgp.net)
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7

roland@logikaldesktop:~$
roland@logikaldesktop:~$ sudo SciTE /etc/wvdial.conf
roland@logikaldesktop:~$
roland@logikaldesktop:~$
roland@logikaldesktop:~$ wvdial
--> WvDial: Internet dialer version 1.60
--> Cannot get information for serial port.
--> Initializing modem.
--> Sending: ATZ
ATZ
OK
--> Sending: ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
OK
--> Modem initialized.
--> Sending: ATDTw16302051593
--> Waiting for carrier.
ATDTw16302051593
NO CARRIER
ERROR
--> No Carrier! Trying again.
--> Sending: ATDTw16302051593
--> Waiting for carrier.
ATDTw16302051593
NO CARRIER
ERROR
--> No Carrier! Trying again.
--> Sending: ATDTw16302051593
--> Waiting for carrier.
ATDTw16302051593
NO CARRIER
ERROR
--> No Carrier! Trying again.
--> Sending: ATDTw16302051593
--> Waiting for carrier.

On Thursday 03 September 2009 03:36:43 pm أحمد المحمودي (Ahmed El-Mahmoudy)
wrote:
> On Thu, Sep 03, 2009 at 05:47:09PM -0000, seasoned_geek wrote:
> > Setting up sl-modem-source (2.9.11~20080817-3ubuntu2) ...
>
> You were supposed to be trying version
> 2.9.10+2.9.9d+e-pre2-5ubuntu4~ppa2 not 2.9.11~20080817-3ubuntu2.
>
> Probably sl-modem-source get updated when you've done an apt-get upgrade
> or so.
>
> > Scanning your serial ports for a modem.
> >
> > ttySL0<*1>: Modem Identifier: ATI -- SmartLink Soft Modem
> >
> > Found a modem on /dev/ttySL0.
> > Modem configuration written to /etc/wvdial.conf.
> > ttySL0<Info>: Speed 460800; init "ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0"
>
> Ok, so finally you do have a /dev/ttySL0 although you're using
> 2.9.11~20080817-3ubuntu2 !
>
> > ATDTw16302051593
> > NO CARRIER
> > ERROR
>
> try having one or both of these lines in /etc/wvdial.conf:
>
> Carrier Check = no
> Stupid Mode = yes
>

--
Roland Hughes, President
Logikal Solutions
(630)-205-1593 (cell)
http://www.theminimumyouneedtoknow.com
http://www.infiniteexposure.net
http://www.logikalsolutions.com

On Thu, Sep 03, 2009 at 09:04:19PM -0000, seasoned_geek wrote:
> --> Modem initialized.
> --> Sending: ATDTw16302051593
> --> Waiting for carrier.
> ATDTw16302051593
> NO CARRIER
> ERROR
---end quoted text---

  Well at this point I'd advise you to try asking on
  <email address hidden>

--
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7 (@ subkeys.pgp.net)
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7

It is still going to be up to a package maintainer to fix.

I have about 6 different modems here, but sl-modem simply isn't working
correctly

On Friday 04 September 2009 09:37:44 am أحمد المحمودي (Ahmed El-Mahmoudy)
wrote:
> On Thu, Sep 03, 2009 at 09:04:19PM -0000, seasoned_geek wrote:
> > --> Modem initialized.
> > --> Sending: ATDTw16302051593
> > --> Waiting for carrier.
> > ATDTw16302051593
> > NO CARRIER
> > ERROR
>
> ---end quoted text---
>
> Well at this point I'd advise you to try asking on
> <email address hidden>
>

--
Roland Hughes, President
Logikal Solutions
(630)-205-1593 (cell)
http://www.theminimumyouneedtoknow.com
http://www.infiniteexposure.net
http://www.logikalsolutions.com

23 comments hidden view all 103 comments

On Wednesday 16 September 2009 02:53:41 am أحمد المحمودي (Ahmed El-Mahmoudy)
wrote:
> On Wed, Sep 16, 2009 at 03:54:51AM -0000, seasoned_geek wrote:
> > I have been able to remove slmodem via Synaptic in the past.
>
> That was you were able to successfully install sl-modem-source in that
> past. But it seems that there was some update (probably DKMS related)
> that made sl-modem-source installation fail. So since sl-modem-source
> installation fails, and that every upgrade you do doesn't complete
> because sl-modem-source installation process was never completed, the
> solution of dkms.conf replacement is the only workaround that I know to
> fix your issue.

As I stated, I just flagged it to update in Synaptic and it completed
successfully. I haven't attempted to dig out the instructions of trying to
create yet another failed compilation and ttySL0 that will only exist until
the next boot where it will disappear forever. Please read, don't leap and
assume.

>
> > It would be a lot easier to follow conversations with you if you would
> > STOP DELETING all prior messages in the thread.
>
> If you mean that I only quote relevant parts of the post I am replying,
> that is a common practice, some even don't bother to quote at all the
> post they reply, especially if they reply from the web interface of
> Launchpad.
>
You may consider it commonplace, but it is rude and diagnostically inefficient.

> In a previous post you noted that you haven't found a single karmic user
> with a working sl-modem, could you please clarify if you meant those who
> use the slamr driver, or is it even those who use ALSA driver who are
> complaining ?
>

I haven't found a single Karmic user with a functioning sl-modem configuration.

--
Roland Hughes, President
Logikal Solutions
(630)-205-1593 (cell)
http://www.theminimumyouneedtoknow.com
http://www.infiniteexposure.net
http://www.logikalsolutions.com

Download full text (3.6 KiB)

On Wednesday 16 September 2009 02:54:08 am Daniel Holbach wrote:
> seasoned_geek: the way you are talking to Ahmed is unacceptable. It's
> clear to everybody reading this bug report that you are frustrated, but
> venting your anger does not help at all. If you have a look at
> http://www.ubuntu.com/community/conduct you will maybe get an idea of
> the spirit in how we work together.
>
> Ahmed spends his free time on sl-modem. If you were volunteering for a
> project, would you still enjoy helping somebody who is that mad at you?

I wouldn't volunteer for a project unless I could turn out production quality
code. I have spent over 20 years of my life writing and maintaining
production quality systems. I have even written an award winning technical
book series.

Not only would I continue to actually assist someone, had I turned out
anything this broken to a client I would have had CEOs and Vice Presidents in
my office screaming for my head.

>
> Regarding the problem of "missing prior messages": that's clearly a
> matter of taste. A lot of people actually prefer to have a look at
> https://bugs.launchpad.net/ubuntu/+source/sl-modem/+bug/375148 and read
> the last isolated comments to follow the conversation. Also if you have
> a good email client you can easily follow the thread without having all
> the conversation in a single email. There is no need to write in CAPS
> letters because of that. Also it's not really appropriate to expect a
> change in other people's workflow just because of one's own preferences
> or experience.

It's not a matter of taste, it is a matter of what is required to turn out
production quality code. It is both unprofessional and inefficient to be nuking
the relevant piece of a message when the things are being sent out via email.
If you want to make launchpad the one and only place, then you need to send
out "notification only" messages which have no content, just a link to go view
the new message in the thread. It is unprofessional to send a "piece" out and
force the receiver to go to another site to obtain the rest of the thread.
Had any of you worked supporting a trading floor or brokerage firm you would
have worked in an environment where it is not just a "matter of preference" it
is illegal to delete portions of support messages.

>
> sl-modem is a tricky problem and everybody appreciates your willingness
> to help out, so please try to stay calm and answer all the questions.
>

I have stayed calm. I have donated my time to solving this problem. When I
donated the majority of a weekend to working with the developer to help
diagnose this problem since it appeared they were making no progress what-so-
ever, I was given a set of instructions which were not only incomplete, they
had not been tried by the developer before sending. Even if they had worked
he would have learned nothing because he had no frame of reference to compare
my results.

This problem was then compounded by the developers insistence on deleting all
message content when responding. That makes for a lovely instruction set when
you are being given another instruction to place in the middle of a series of
instruct...

Read more...

Hello,
I have a Toshiba 4600 laptop with a builtin Intel 82801BA/BAM AC'97 Modem Controller. On this machine I did a fresh install with the latest Ubuntu 9.04. I ran exactly into the same problems that have already been discribed in this bug report: The kernel module sources that came with the standard repositories compiled without error, the ones from Ahmeds ppa did not. But till this point I could establish an internet connection. After the reboot I followed the hints you gave in your postings, which created an /dev/ttySL0 again but when I tried to dial out I got the NO CARRIER error.
 Then I followed Ahmeds first posting ( the missing configuration file /etc/modprobe.d/sl-modem-daemon.modutils in Jauntys slmodemd package) and took the configuration file from Intrepids sl-modem-daemon package (2.9.10+2.9.9d+e-pre2-5ubuntu4) and just renamed it to /etc/modprobe.d/sl-modem-daemon.conf. Since I copied the old configuration files from the Intrepid package a /dev/slram0 and a /dev/ttySL0 device node are created after every reboot. I don't know if that is exact the reason why it works now after every reboot but I hope this will help someone.
Please fix this in Karmic. Thanks!
Karl

Will this bug be solved in Karmic???

On Tuesday 09 February 2010 05:10:34 pm Armando Beneduce wrote:
> Will this bug be solved in Karmic???
>
Not that I have seen. I've even tried switching to an Intel modem, but you
have to run -14 kernel to have that fax software work.

SL modem seemed to be light years from working when I gave up on it.
--
Roland Hughes, President
Logikal Solutions
(630)-205-1593 (cell)
http://www.theminimumyouneedtoknow.com
http://www.infiniteexposure.net
http://www.logikalsolutions.com

I may be wrong but Karl Daumeier has been able to solve the bug according to his last message.

Rolf Leggewie (r0lf) on 2010-02-12
Changed in sl-modem (Ubuntu):
importance: Medium → High
Rolf Leggewie (r0lf) wrote :

I have now recompiled the package from git and as far as I know that should incorporate all the suggested solutions presented here. Unfortunately, the status is completely unchanged.

JFTR, I am running karmic (but with a lucid kernel), DKMS compilation went fine. I get a slamr0 device, but no ttySL0. Running slmodemd as root gave me "error: mdm setup: cannot open dev `/dev/slamr0': No such device". rmmod'ing snd_intel8x0 and slamr did not fix the issue.

FWIW, I see some progress as the compilation and installation issues are mostly gone.

Changed in sl-modem (Ubuntu):
assignee: nobody → Canonical Foundations Team (canonical-foundations)

This has been fixed on Debian in the 2.9.11~20100303-1 release

Changed in sl-modem (Ubuntu):
status: Confirmed → Fix Committed

There is a sync request on LP #402874

Rolf Leggewie (r0lf) wrote :

Ahmed, what's that nonsense now? AFAIK, according to your statements here, you never successfully reproduced this issue or did you? How can you be sure now this issue is fixed? In any case, don't you think you should at least give the people affected a chance to confirm that the problem is indeed gone?

FWIW, a very quick test showed that of course this is not fixed (please explain why you think it was). To make a long story short, *NOTHING* has changed since I originally reported this approaching two years now. I have nothing to add, no progress to report to any of my earlier statements, they are still true with the latest package.

Ahmed, I urge you to really shape up your bug work now. Don't just claim it works when you cannot know (and in fact it doesn't). Don't constantly churn out untested packages that don't even compile or install in the hope that somehow one of them magically fixes everything. I beg you, please!

Changed in sl-modem (Ubuntu):
status: Fix Committed → Confirmed

On Fri, Mar 19, 2010 at 11:42:16AM -0000, Rolf Leggewie wrote:
> Ahmed, what's that nonsense now? AFAIK, according to your statements
> here, you never successfully reproduced this issue or did you? How can
> you be sure now this issue is fixed? In any case, don't you think you
> should at least give the people affected a chance to confirm that the
> problem is indeed gone?
>
> FWIW, a very quick test showed that of course this is not fixed (please
> explain why you think it was). To make a long story short, *NOTHING*
> has changed since I originally reported this approaching two years now.
> I have nothing to add, no progress to report to any of my earlier
> statements, they are still true with the latest package.

1. Regarding the no /dev/ttySL0 issue, there is more than one comment on
   this very bug that when the patch that installs
   /etc/modprobe.d/sl-modem.conf is applied, the modem worked
   successfully.
2. Regarding the "NO CARRIER" issue with linux kernels (>= 2.6.31), an
   Karmic user (Yair Elharrar) sent a patch to upstream which fixes it [1].
3. Three days ago I was able to get my hands on an old laptop that got a
   Smartlink modem and Karmic installed on it (ie. a 2.6.31 kernel). So
   I tested the package (with both cases: ALSA & slamr drivers) and it
   worked: dialed out, and successfully connected to internet. The only
   case that I did not test though is FAXing.

> Ahmed, I urge you to really shape up your bug work now. Don't just
> claim it works when you cannot know (and in fact it doesn't). Don't
> constantly churn out untested packages that don't even compile or
> install in the hope that somehow one of them magically fixes everything.

It was tested by myself (as stated above) & by upstream.

[1] http://archives.linmodems.org/36128

--
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7

I gave up begging, it's just never going to work.

On Friday 19 March 2010 06:42:16 am Rolf Leggewie wrote:
> Ahmed, what's that nonsense now? AFAIK, according to your statements
> here, you never successfully reproduced this issue or did you? How can
> you be sure now this issue is fixed? In any case, don't you think you
> should at least give the people affected a chance to confirm that the
> problem is indeed gone?
>
> FWIW, a very quick test showed that of course this is not fixed (please
> explain why you think it was). To make a long story short, *NOTHING*
> has changed since I originally reported this approaching two years now.
> I have nothing to add, no progress to report to any of my earlier
> statements, they are still true with the latest package.
>
> Ahmed, I urge you to really shape up your bug work now. Don't just
> claim it works when you cannot know (and in fact it doesn't). Don't
> constantly churn out untested packages that don't even compile or
> install in the hope that somehow one of them magically fixes everything.
> I beg you, please!
>
> ** Changed in: sl-modem (Ubuntu)
> Status: Fix Committed => Confirmed
>

--
Roland Hughes, President
Logikal Solutions
(630)-205-1593 (cell)
http://www.theminimumyouneedtoknow.com
http://www.infiniteexposure.net
http://www.logikalsolutions.com

Daniel Holbach (dholbach) wrote :

Can you please all calm down a bit? The tone in this bug report is just awful and not acceptable at all. Please also note that bug 402874 is not 'fix released' yet, it still needs approval of the release team to go into lucid.

Steve Newcomb (srn-coolheads) wrote :

I have an external USB modem, which is bulky but at least it works. An extra USD $60, and an annoying occupier of scarce space in my backpack. Too bad I can't use the internal modem in my Lenovo, but at least I'm not completely cut off when I find myself in some internet backwater. Which is less and less often, but only last year that modem saved my job when the internet where I happened to be went down for a couple of days. It happens.

About the tone of this bug thread, Daniel Holbach is right. But the cause of the social deterioration is that frustration abounds on all sides. The real question is, what would short-circuit the frustration? Answer: access for Ahmed to a misbehaving machine, if he's willing to work by remote control, and if someone is willing to grant him such access.

If all else fails, I *could* do that during my sleeping-hours, when, strangely enough, I'm not usually staring at my Lenovo T60. Ahmed, are you willing, and, if so, what timezone are you in?

On Mon, Mar 22, 2010 at 08:31:10PM -0000, Steve Newcomb wrote:
> If all else fails, I *could* do that during my sleeping-hours, when,
> strangely enough, I'm not usually staring at my Lenovo T60. Ahmed, are
> you willing, and, if so, what timezone are you in?
---end quoted text---

  Sure, are you running karmic or lucid ? I'm in UTC+2

--
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7

>The real question is, what would short-circuit the frustration?

1. Stop sending out releases that don't even compile.
2. Test with fax software before releasing since 70% of the users need their
modem only to send faxes.

--
Roland Hughes, President
Logikal Solutions
(630)-205-1593 (cell)
http://www.theminimumyouneedtoknow.com
http://www.infiniteexposure.net
http://www.logikalsolutions.com

Rolf Leggewie (r0lf) wrote :

Seasoned_geek, you mention a few of the frustrations that I remember myself. But to be fair to Ahmed's work, installation or compilation problems are something I haven't seen for quite a while now. Please acknowledge the progress being made instead of perpetuating statements that are no longer true for quite a while now. You continue to make frequent and far-reaching demands on other people, but I've yet to see a single contribution from you towards solving this problem. Not quite what I would expect from a "seasoned geek".

If Ahmed did indeed get the device to be created correctly, that's already a good step forward. If that modem then dialed out and connected, that's even better news. Giving Ahmed's history of claiming things are fixed when in fact they weren't, I guess it's normal that people have now grown suspicious and I encourage Ahmed to explain in more detail what he did test and how his successes were instead of merely closing a ticket with "package XY in Debian fixes it" (and then doesn't deliver on that promise once more).

Let's see if we can understand why Ahmed can apparently do some things that I still can't. Him running Karmic with an older kernel may be one of the reasons.

Download full text (4.6 KiB)

Then you weren't here when I first really joined into this discussion after
purchasing 6 additional modems spanning multiple vendors and setting aside two
BILLABLE days to assist with the debugging so I could once again fax a few
contracts. That is the two days we got two famous releases, the first didn't
compile and the second didn't install no matter which modem I put in my
machine.

Please read an _ENTIRE_ message thread before stating others have done and are
doing nothing.

If you want, unsubscribe me from this bug. It is obvious that no Linux
distribution will support a functioning built in modem past either a single
installation or a single .n release of the kernel. The Intel modem software
works with -14 and no other version of the kernel, which I guess is better
than this, but rebooting to a much older kernel just to send a fax is going to
cause a severe problem with other applications at some point.

The architecture which the Linux community has chosen to use supporting modems
is quite simply broken. Until that fatal design flaw is fix, and until someone
spends a lot of thankless time reverse engineering the modem code, Linux will
never again support modems or faxing. I have been getting by paying $1.99 per
fax using an Internet faxing service.

After the end of April when the new LTS comes out, I will be switching to 64-
bit once again so this bug will be immaterial.

I only respond now because my 20+ years in IT tells me people are simply
spinning their wheels on this and the Linux community as a whole should simply
state they cannot compete with Windows when it comes to faxmodem support.
Either break the law and disassemble the object code provided and write your
own high level code from that or punt.

What is going to happen if Ahmed magically gets the stars to align and
produces a version which works perfectly for a single 32-bit user? A shiny
new -NN kernel header version will come out and it will cease to work. I've
watched this for over two years with the Intel stuff. It's no different here.
When Ahmed says he got it working, he got it working for the -NN kernel header
version he was using, which apparently is different that what everybody else
following this thread is using. Today -20 came out, or at least I installed
it today because Ubuntu pushed it out. Is that the version he tested with?
Probably not.

The point in time where the Linux engineers/community choose to load faxmodem
drivers is simply flawed. I've had 9 kernel updates since I installed Karmic.
All of my USB devices still work...sans the hot key for the KVM which hasn't
worked with any version of this release once the GUI is loaded. All of my
disk drives work with all versions of the kernel. The Intel modem I installed
after the announcement came out only works with -14. The other modems I
bought for helping with this problem don't work with any kernel version on
this release of Ubuntu, but the one worked with both OpenSuSE and the previous
32-bit version of Ubuntu.

My only real question right now is what USB faxmodem does this other guy have
and has he gotten it working sending faxes with 64-bit Ubuntu?...

Read more...

On Mon, Mar 22, 2010 at 10:58:21PM -0000, Rolf Leggewie wrote:
> Let's see if we can understand why Ahmed can apparently do some things
> that I still can't. Him running Karmic with an older kernel may be one
> of the reasons.

The machine I tested was running Karmic indeed, but what do you mean by
"older kernel" ? It uses the 2.6.31 kernel that is shipped with Karmic.

Besides, why do you say that I can do things that you can't. There are
two people on this bug report who say that their problem is solved by
reverting back the /etc/modprobe.d/sl-modem.conf that was previouly
removed by Ubuntu in jaunty.

If you still have the problem, I suspect that it may have to do with
your specific device.

--
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7

2.6.31 has had many -NN releases and they are not completely compatible with
each other. If you are using the exact version which released with Karmic
(which was well before -14) you should try your stuff with -20.

On Tuesday 23 March 2010 08:40:28 am أحمد المحمودي (Ahmed El-Mahmoudy) wrote:
> On Mon, Mar 22, 2010 at 10:58:21PM -0000, Rolf Leggewie wrote:
> > Let's see if we can understand why Ahmed can apparently do some things
> > that I still can't. Him running Karmic with an older kernel may be one
> > of the reasons.
>
> The machine I tested was running Karmic indeed, but what do you mean by
> "older kernel" ? It uses the 2.6.31 kernel that is shipped with Karmic.
>
> Besides, why do you say that I can do things that you can't. There are
> two people on this bug report who say that their problem is solved by
> reverting back the /etc/modprobe.d/sl-modem.conf that was previouly
> removed by Ubuntu in jaunty.
>
> If you still have the problem, I suspect that it may have to do with
> your specific device.
>

--
Roland Hughes, President
Logikal Solutions
(630)-205-1593 (cell)
http://www.theminimumyouneedtoknow.com
http://www.infiniteexposure.net
http://www.logikalsolutions.com

I tested today on Lucid beta1 (Live CD) with kernel 2.6.32:

$ cat /proc/version_signature
Ubuntu 2.6.32-16.25-generic

* ALSA (uses snd_atiixp_modem module)
In /etc/default/sl-modem-daemon:
SLMODEMD_DEVICE=modem:1

$ sudo invoke-rc.d sl-modem-daemon start
Starting SmartLink Modem driver for: modem:1.
Creating /dev/modem symlink, pointing to: /dev/ttySL0.

$ ls -l /dev/ttySL0
lrwxrwxrwx 1 root root 10 2010-03-25 03:48 /dev/ttySL0 -> /dev/pts/2

$ ls -l /dev/pts/2
crw-rw---- 1 root dialout 136, 2 2010-03-25 03:51 /dev/pts/2

$ sudo invoke-rc.d sl-modem-daemon stop
Shutting down SmartLink Modem driver normally.
Unloading modem driver from kernel ... snd_atiixp_modem.

* slamr
In /etc/default/sl-modem-daemon:
SLMODEMD_DEVICE=slamr0

$ sudo invoke-rc.d sl-modem-daemon start
Starting SmartLink Modem driver for: slamr0.
Creating /dev/modem symlink, pointing to: /dev/ttySL0.

$ ls -l /dev/ttySL0
lrwxrwxrwx 1 root root 10 2010-03-25 04:00 /dev/ttySL0 -> /dev/pts/1

$ ls -l /dev/pts/1
crw-rw---- 1 root dialout 136, 1 2010-03-25 04:00 /dev/pts/1

* Dialup to internet (in both cases: ALSA & slamr) is done with wvdial,
  I have the following setting in wvdial.conf:

Carrier Check = no

* Tested fax sending using efax, and it sent faxes. Of course that only
  works with slamr module.

--
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7

Download full text (3.6 KiB)

It will be quite some time before I get back to where my desktop and the modems
are.  I took an out of state project.

I will revisit this once the new LTS version is out and I have returned home.

On March 25, 2010 at 6:24 AM "أحمد المحمودي (Ahmed El-Mahmoudy)"
<email address hidden> wrote:

> I tested today on Lucid beta1 (Live CD) with kernel 2.6.32:
>
> $ cat /proc/version_signature
> Ubuntu 2.6.32-16.25-generic
>
> * ALSA (uses snd_atiixp_modem module)
> In /etc/default/sl-modem-daemon:
> SLMODEMD_DEVICE=modem:1
>
> $ sudo invoke-rc.d sl-modem-daemon start
> Starting SmartLink Modem driver for: modem:1.
> Creating /dev/modem symlink, pointing to: /dev/ttySL0.
>
> $ ls -l /dev/ttySL0
> lrwxrwxrwx 1 root root 10 2010-03-25 03:48 /dev/ttySL0 -> /dev/pts/2
>
> $ ls -l /dev/pts/2
> crw-rw---- 1 root dialout 136, 2 2010-03-25 03:51 /dev/pts/2
>
> $ sudo invoke-rc.d sl-modem-daemon stop
> Shutting down SmartLink Modem driver normally.
> Unloading modem driver from kernel ... snd_atiixp_modem.
>
> * slamr
> In /etc/default/sl-modem-daemon:
> SLMODEMD_DEVICE=slamr0
>
> $ sudo invoke-rc.d sl-modem-daemon start
> Starting SmartLink Modem driver for: slamr0.
> Creating /dev/modem symlink, pointing to: /dev/ttySL0.
>
> $ ls -l /dev/ttySL0
> lrwxrwxrwx 1 root root 10 2010-03-25 04:00 /dev/ttySL0 -> /dev/pts/1
>
> $ ls -l /dev/pts/1
> crw-rw---- 1 root dialout 136, 1 2010-03-25 04:00 /dev/pts/1
>
> * Dialup to internet (in both cases: ALSA & slamr) is done with wvdial,
>   I have the following setting in wvdial.conf:
>
> Carrier Check = no
>
> * Tested fax sending using efax, and it sent faxes. Of course that only
>   works with slamr module.
>
> --
>  ‎أحمد المحمودي (Ahmed El-Mahmoudy)
>   Digital design engineer
>  GPG KeyID: 0xEDDDA1B7
>  GPG Fingerprint: 8206 A196 2084 7E6D 0DF8  B176 BC19 6A94 EDDD A1B7
>
> --
> no more /dev/ttySL0 device node
> https://bugs.launchpad.net/bugs/375148
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “sl-modem” package in Ubuntu: Confirmed
>
> Bug description:
> Ever since I updated to Jaunty, I cannot access the Winmodem in my Thinkpad
> X24 any longer.  This used to work fine in Hardy.  I think I have the
> necessary packages installed and even upgraded to the PPA packages from Ahmed,
> the Debian maintainer.  The dkms module is compiled fine, there just is no
> /dev/ttySL0 device node.  /dev/modem thus points into nirvana.
>
> $ dpkg -l sl-modem* dkms
> Desired=Unknown/Install/Remove/Purge/Hold
> | Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend
> |/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err:
> uppercase=bad)
> ||/ Name                      Version                   Description
> +++-=========================-=========================-======================
> ============================================
> ii  dkms                      2.0.21.1-0ubuntu3         Dynamic Kernel Module
> Support Framework
> ii  sl-modem-daemon           2.9.11~20090222-1~ppa1    SmartLink software
> modem daemon
> un  sl-modem-modules          <none>                    (no description
> available)
> un  sl-modem-modules-new      <no...

Read more...

Since there was no negative feedback regarding that last fix, I think it is alright now to consider the bug solved.

Changed in sl-modem (Ubuntu):
status: Confirmed → Fix Released
Rolf Leggewie (r0lf) wrote :

Ahmed, your handling of this issue is starting to become a serious pain in the neck (to avoid the word "rectum").

Last I looked this was still broken. And I don't have time everyday for your ping-pong "works for me" and then me "nothing has changed". It would be nice if you started caring about quality of your packages. IIRC you claimed you never were affected by this problem, so please have the minimal courtesy to actually wait for confirmation from those who were affected (in this case you didn't even ask, at least I don't see your question). Last comment was from seasoned_geek who said he won't take a look before the LTS is out. How many days since the release? Like 3?

PS: There is a status "incomplete" to request feedback. Given your abyssmal history, I'd kindly ask you to refrain from using it on this ticket. I have more serious things to do than play ping-pong with you all the time.

Geesh Ahmed, you are a frustrating geek to deal with.

Changed in sl-modem (Ubuntu):
status: Fix Released → Triaged
Daniel Holbach (dholbach) wrote :

Rolf: when was "last I looked"? Can you get a 10.04 LTS Live CD and try it out with that? "I don't have time everyday for your ping-pong" is an unreasonable comment to reopen a bug with.

Closing a bug as somebody who has been working on the fix and believing the issue to be fixed, always implies "if this still doesn't work for you, please reopen the bug and kindly attach more information". This is nothing to get frustrated about.

Also can you please get your temper under control? Ahmed has, as a volunteer, put quite a lot of work into this and very professionally ignored all attacks on his person.

Rolf Leggewie (r0lf) wrote :

Daniel, thank you for your comment. But I don't see how can you portray Ahmed's behaviour as professional.

The people reporting bugs are volunteers, too. And Ahmed has frequently sucked up their time in this ticket and others by requesting tests and retests with newly churned out packages when there was no reasonable expectation that the new packages would address the issue. Quite often these new packages had basic flaws and would not even install properly, wasting even more time to correct these problems.

Something is very wrong if criticizing a maintainer of a package for not upholding certain standards after being begged to do so repeatedly gets one into the "please control your temper" camp. If there were personal attacks he ignored those alright, but he equally ignored many reasonable requests to not waste the time of the people who feed him important information about what works and what doesn't.

Is it too much to ask that a dev actually *asks* for feedback? Is it too much to ask that an announcement to "test after LTS release" not be ignored just merely three or four days after the release happened? I can go on and on. After about at least ten rounds (some in private chats), I'm just not prepared to jump every time that Ahmed reports success. So far, it always turned out he cut some corners and the issue was really unchanged. Sorry, but my enthusiasm to test just because Ahmed reports WFM for the nth time is pretty close to 0 by now. And just as seasoned_geek, I don't have immediate access to the machine in question, it's about 5.000 miles away now. I do still want to see this eventually fixed. But I want to see the problem fixed, not just the ticket closed.

Daniel, you may be inclined to not see Ahmed at fault since he is the maintainer of the package (BTW, I co-maintain it with him, so as the one to report this he REALLY should have asked me if this is fixed). You see the effort he puts into this (and I thank him for it!). But you obviously fail to see the effort that others are putting in as well, me included. I can tell you, it's been a lot and I don't even use this machine anymore. But I *am* frustrated if time is needlessly squandered and that includes closing tickets for no other reason than "works for me" which IIRC it always did for Ahmed when he had access to a device and thus in this case is not a valid reason to close. Especially when it's not the first that the ticket was closed in error.

Daniel, I have high respect for you, but I can't see how you are being objective here.

Rolf Leggewie (r0lf) wrote :

Daniel, since you asked; you can see in comment #73 that it's certainly been no longer than six weeks ago that I tried the last time. You may remember this was just shortly after Ahmed's previous attempt to close the ticket rather than fixing the problem. Of course, he didn't ask then, either. See the pattern?

Still think that is "professional"?

Even an "incomplete" status should be left alone for at least 59 days. In this case, there was no question and no incomplete status and still seasoned_geek wasn't even given more than three days to make good on his promise to test with lucid.

Still think that is "professional"?

I don't. Not after seeing it at least a dozen times. Unfortunately, Ahmed seems unwilling to change and you taking his side likely won't encourage him to do so.

Daniel Holbach (dholbach) wrote :

Rolf: I know that you, Ahmed and others have worked together on the package and that lots of volunteers devote time by testing fixes, finding more information, etc. and that this time is valuable. I thank everybody for doing this work. If you know how long I've been involved in the Ubuntu project and its community, you can probably imagine that I have a good feeling for how much effort people put into Ubuntu and other Open Source projects.

This bug report is a rare example where a lot of energy is wasted by blaming others and complaining instead of creating a spirit of "let's fix this together". I know that I personally would have had less and less an interest to fix things if I would have been the subject of the continued moaning and complaining.

Ahmed closed this bug once (fix released) and that was today. I still don't see any new information that indicates that reopening this bug is warranted.

Let's please all try to get back to a very focused discussion. I really don't want this bug report an example for how the Ubuntu QA world works, because it isn't.

I had a chat with Rolf on IRC and this is what I (with little time, and little personal interest in modems although I realise how important they are to others) can contribute to the discussion:

 - update the bug summary with a foolproof test-case
 - work with Ahmed on an apport script to get more and information for future bug reports.

We will find out in a while.  I just got home from my contract and am waiting
for the new Ubuntu LTS CD's to arrive for an upgrade.  I will change out modems
and try it.

On May 3, 2010 at 7:05 AM "أحمد المحمودي (Ahmed El-Mahmoudy)"
<email address hidden> wrote:

> Since there was no negative feedback regarding that last fix, I think it
> is alright now to consider the bug solved.
>
> ** Changed in: sl-modem (Ubuntu)
>        Status: Confirmed => Fix Released
>
> --
> no more /dev/ttySL0 device node
> https://bugs.launchpad.net/bugs/375148
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “sl-modem” package in Ubuntu: Fix Released
>
> Bug description:
> Ever since I updated to Jaunty, I cannot access the Winmodem in my Thinkpad
> X24 any longer.  This used to work fine in Hardy.  I think I have the
> necessary packages installed and even upgraded to the PPA packages from Ahmed,
> the Debian maintainer.  The dkms module is compiled fine, there just is no
> /dev/ttySL0 device node.  /dev/modem thus points into nirvana.
>
> $ dpkg -l sl-modem* dkms
> Desired=Unknown/Install/Remove/Purge/Hold
> | Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend
> |/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err:
> uppercase=bad)
> ||/ Name                      Version                   Description
> +++-=========================-=========================-======================
> ============================================
> ii  dkms                      2.0.21.1-0ubuntu3         Dynamic Kernel Module
> Support Framework
> ii  sl-modem-daemon           2.9.11~20090222-1~ppa1    SmartLink software
> modem daemon
> un  sl-modem-modules          <none>                    (no description
> available)
> un  sl-modem-modules-new      <none>                    (no description
> available)
> ii  sl-modem-source           2.9.11~20090222-1~ppa1    SmartLink software
> modem driver - module building source
>
> $ ll /dev/modem
> lrwxrwxrwx 1 root root 6 2009-05-11 23:33 /dev/modem -> ttySL0
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/sl-modem/+bug/375148/+subscribe

Roland Hughes, President
Logikal Solutions
(630)-205-1593  - cell
http://www.theminimumyouneedtoknow.com
http://www.infiniteexposure.net

Download full text (3.2 KiB)

But, very unprofessionally, released stuff which didn't compile, didn't install,
and had never been tested with fax software.

His frustration level is warranted as this has been a Microsoft quality patch
from day one.  When the CD's arrive from On-Disk I will take the time to backup
the 2.5 gig of stuff on my workstation, wipe, and do a clean install from the
LTS distro.  I will actually test it with fax since that is the only use I have
for a modem these days.

Actually, at this point, I'm feeling pretty sad about that box of Courier 14.4
external faxmodems I took to the electronics recycling center.  Yes, it would
have been another ugly bunch of cables, but I would have been free of this issue
and the Intel modem issue.

On May 3, 2010 at 9:23 AM Daniel Holbach <email address hidden> wrote:

> Rolf: when was "last I looked"? Can you get a 10.04 LTS Live CD and try
> it out with that? "I don't have time everyday for your ping-pong" is an
> unreasonable comment to reopen a bug with.
>
> Closing a bug as somebody who has been working on the fix and believing
> the issue to be fixed, always implies "if this still doesn't work for
> you, please reopen the bug and kindly attach more information". This is
> nothing to get frustrated about.
>
> Also can you please get your temper under control? Ahmed has, as a
> volunteer, put quite a lot of work into this and very professionally
> ignored all attacks on his person.
>
> --
> no more /dev/ttySL0 device node
> https://bugs.launchpad.net/bugs/375148
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “sl-modem” package in Ubuntu: Triaged
>
> Bug description:
> Ever since I updated to Jaunty, I cannot access the Winmodem in my Thinkpad
> X24 any longer.  This used to work fine in Hardy.  I think I have the
> necessary packages installed and even upgraded to the PPA packages from Ahmed,
> the Debian maintainer.  The dkms module is compiled fine, there just is no
> /dev/ttySL0 device node.  /dev/modem thus points into nirvana.
>
> $ dpkg -l sl-modem* dkms
> Desired=Unknown/Install/Remove/Purge/Hold
> | Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend
> |/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err:
> uppercase=bad)
> ||/ Name                      Version                   Description
> +++-=========================-=========================-======================
> ============================================
> ii  dkms                      2.0.21.1-0ubuntu3         Dynamic Kernel Module
> Support Framework
> ii  sl-modem-daemon           2.9.11~20090222-1~ppa1    SmartLink software
> modem daemon
> un  sl-modem-modules          <none>                    (no description
> available)
> un  sl-modem-modules-new      <none>                    (no description
> available)
> ii  sl-modem-source           2.9.11~20090222-1~ppa1    SmartLink software
> modem driver - module building source
>
> $ ll /dev/modem
> lrwxrwxrwx 1 root root 6 2009-05-11 23:33 /dev/modem -> ttySL0
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/sl-modem/+bug/375148/+subscribe

Roland Hughes, Presi...

Read more...

Download full text (4.5 KiB)

>and
> little personal interest in modems although I realise how important they
> are to others)

In general, that is the problem with the Ubuntu community.  They have "little
personal interest in modems" and falsely claim to understand how important they
are to others.  On Windows, MAC, and many other platforms, modems just work.
You don't have to hack a kernel or compile anything from source.  Like burgers
on the $1 menu, they are a 99 cent thing you can always rely on.  Not so here in
Ubuntu (and probably most Linux distros)

The entire philosophy behind fax modems in the Linux distro reflects a community
which has "little personal interest in modems".  It's not a core driver.  The
manner in which it is supported is not only cumbersome, the constant recompiling
every time a new set of headers comes out ensures device support will be
hap-hazard on a good day and a maintenance nightmare the rest of the time.

I haven't received email from On-disk saying they have shipped my CDs, but
expect to receive that today.  It will be several days before they show up.  I
will test at that time.  Until then, I have seen nothing which warrants closing
this bug.

On May 3, 2010 at 11:33 AM Daniel Holbach <email address hidden> wrote:

> Rolf: I know that you, Ahmed and others have worked together on the
> package and that lots of volunteers devote time by testing fixes,
> finding more information, etc. and that this time is valuable. I thank
> everybody for doing this work. If you know how long I've been involved
> in the Ubuntu project and its community, you can probably imagine that I
> have a good feeling for how much effort people put into Ubuntu and other
> Open Source projects.
>
> This bug report is a rare example where a lot of energy is wasted by
> blaming others and complaining instead of creating a spirit of "let's
> fix this together". I know that I personally would have had less and
> less an interest to fix things if I would have been the subject of the
> continued moaning and complaining.
>
> Ahmed closed this bug once (fix released) and that was today. I still
> don't see any new information that indicates that reopening this bug is
> warranted.
>
> Let's please all try to get back to a very focused discussion. I really
> don't want this bug report an example for how the Ubuntu QA world works,
> because it isn't.
>
> I had a chat with Rolf on IRC and this is what I (with little time, and
> little personal interest in modems although I realise how important they
> are to others) can contribute to the discussion:
>
>  - update the bug summary with a foolproof test-case
>  - work with Ahmed on an apport script to get more and information for future
>bug reports.
>
> --
> no more /dev/ttySL0 device node
> https://bugs.launchpad.net/bugs/375148
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “sl-modem” package in Ubuntu: Triaged
>
> Bug description:
> Ever since I updated to Jaunty, I cannot access the Winmodem in my Thinkpad
> X24 any longer.  This used to work fine in Hardy.  I think I have the
> necessary packages installed and even upgraded to the PPA packages from Ahmed,
> th...

Read more...

Rolf Leggewie (r0lf) wrote :

alright, so I asked my father to plug the machine into the network so that I can access it via ssh. Updated all packages to the latest release (I already had the latest sl-modem packages installed). Half a Gig of downloads later,

nothing has changed!

Why am I not surprised?

Daniel, I'm not blaming anyone. I understand and appreciate what open-source software is and how it works. It's not like somebody purposefully changed the code to create this bug, so there really isn't anybody to blame. I'm merely asking that my time not be wasted time and again without good reason. Is that too much to ask? IMNSHO a spirit of "let's fix this together" should allow for feedback when one party feels frustrated and unnecessarily burdened by the other. I have said before that I see the progress that Ahmed made, but I still find it very frustrating to interact. And I will not shut up just to have that fuzzy feeling of false harmony.

I'm happy that things are apparently working for Ahmed. That is a great step forward as it allows us to look for the differences between his setup/machine and mine (I just hope it's not again some kind of trick where he runs the latest lucid package on a karmic system or some such, knowing full well that the lucid kernel wasn't giving a successful test result -> comment 82. Apparently the latest test were done on a full lucid system). I still find today's action a long stretch and objectionable because for the purpose of crossing off one more ticket off the list that opportunity was put at risk. Daniel, I am worried that you apparently feel differently. Bug work is not about closing tickets or churning out a senseless amount of new packages, it's about fixing problems. Fixing problems is not trickery, either.

Download full text (6.3 KiB)

You know what?

After watching the exchange on this email, I've decided to migrate to the 64-bit
version of KUbuntu and just give up on Linux ever giving modems the respect they
deserve.  I'll have to keep a Windows partition around to send a fax when I
don't feel like paying $2 to that Internet fax site.

Please unsubscribe me from this bug.

On May 3, 2010 at 5:30 PM "أحمد المحمودي (Ahmed El-Mahmoudy)"
<email address hidden> wrote:

> ** Description changed:
>
>   Ever since I updated to Jaunty, I cannot access the Winmodem in my
>   Thinkpad X24 any longer.  This used to work fine in Hardy.  I think I
>   have the necessary packages installed and even upgraded to the PPA
>   packages from Ahmed, the Debian maintainer.  The dkms module is compiled
>   fine, there just is no /dev/ttySL0 device node.  /dev/modem thus points
>   into nirvana.
>
>   $ dpkg -l sl-modem* dkms
>   Desired=Unknown/Install/Remove/Purge/Hold
>   |
>Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend
>   |/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err:
>uppercase=bad)
>   ||/ Name                      Version                   Description
>
> +++-=========================-=========================-======================
>============================================
>   ii  dkms                      2.0.21.1-0ubuntu3         Dynamic Kernel
>Module Support Framework
>   ii  sl-modem-daemon           2.9.11~20090222-1~ppa1    SmartLink software
>modem daemon
>   un  sl-modem-modules          <none>                    (no description
>available)
>   un  sl-modem-modules-new      <none>                    (no description
>available)
>   ii  sl-modem-source           2.9.11~20090222-1~ppa1    SmartLink software
>modem driver - module building source
>
> - $ ll /dev/modem
> + $ ll /dev/modem
>   lrwxrwxrwx 1 root root 6 2009-05-11 23:33 /dev/modem -> ttySL0
> +
> +
> + ===========   Test case ==============
> +
> + * ALSA (uses snd_atiixp_modem module)
> + In /etc/default/sl-modem-daemon:
> + SLMODEMD_DEVICE=modem:1
> +
> + $ sudo invoke-rc.d sl-modem-daemon start
> + Starting SmartLink Modem driver for: modem:1.
> + Creating /dev/modem symlink, pointing to: /dev/ttySL0.
> +
> + $ ls -l /dev/ttySL0
> + lrwxrwxrwx 1 root root 10 2010-03-25 03:48 /dev/ttySL0 -> /dev/pts/2
> +
> + $ ls -l /dev/pts/2
> + crw-rw---- 1 root dialout 136, 2 2010-03-25 03:51 /dev/pts/2
> +
> + $ sudo invoke-rc.d sl-modem-daemon stop
> + Shutting down SmartLink Modem driver normally.
> + Unloading modem driver from kernel ... snd_atiixp_modem.
> +
> + * slamr
> + In /etc/default/sl-modem-daemon:
> + SLMODEMD_DEVICE=slamr0
> +
> + $ sudo invoke-rc.d sl-modem-daemon start
> + Starting SmartLink Modem driver for: slamr0.
> + Creating /dev/modem symlink, pointing to: /dev/ttySL0.
> +
> + $ ls -l /dev/ttySL0
> + lrwxrwxrwx 1 root root 10 2010-03-25 04:00 /dev/ttySL0 -> /dev/pts/1
> +
> + $ ls -l /dev/pts/1
> + crw-rw---- 1 root dialout 136, 1 2010-03-25 04:00 /dev/pts/1
> +
> + * Dialup to internet (in both cases: ALSA & slamr) is done with wvdial,
> +   I have the following setting in wvdial.conf:
> +
> + Carrier Check = no
> +
> + * Tested fax sending u...

Read more...

Darik Horn (dajhorn) wrote :

This bug persists into Ubuntu 10.04 Lucid, but it seems to have changed slightly.

When the slusb module is loaded on my computer, I get these lines in my dmesg:

  -- ST7554 USB Modem.
  -- usbcore: registered new interface driver ST7554 USB Modem

The /dev/slusb0 device node is created, but it is improperly hooked to the actual hardware.

If you can get the direct bus address from `lsusb -v` or a similar program, then you can manually start slmodemd like this:

  $ sudo -i
  # ulimit -l 8192
  # /usr/sbin/slmodemd -d /dev/bus/usb/002/002
  SmartLink Soft Modem: version 2.9.11 Mar 22 2010 23:11:18
  <677.757945> SmartLink Soft Modem: version 2.9.11 Mar 22 2010 23:11:18
  <677.758157> 002: startup modem...
  <677.759501> 002: update termios...
  symbolic link `/dev/ttySL129' -> `/dev/pts/1' created.
  modem `002' created. TTY is `/dev/pts/1'
  <677.759650> open file: /var/lib/slmodem/data.002...
  <677.764930> main: rt applyed: SCHED_FIFO, pri 99
  <677.765158> main: dropped privileges to 127.118
  Use `/dev/ttySL129' as modem device, Ctrl+C for termination.

The "/dev/bus/usb/002/002" parameter will be different on your computer.

This works on my computer running the 32-bit i386 build, but 64-bit amd64 is incompatible on the same computer because the sl-modem-source package is missing.

Hello,

  I have added an apport hook & reportbug script (the latter is for Debian) in 2.9.11~20100303-5 revision.

Colin Watson (cjwatson) wrote :

seasoned_geek, nobody else has the ability to unsubscribe you from this bug (save perhaps a Launchpad admin) but in the right-hand side of the web interface you will find an interface to unsubscribe yourself if you so wish.

Instead of "unsubscribing me", here's a novel idea! Why don't you get
someone actually qualified to support the item and...gasp! actually FIX
the bug??

On Tue, 2011-06-14 at 16:05 +0000, Colin Watson wrote:

> seasoned_geek, nobody else has the ability to unsubscribe you from this
> bug (save perhaps a Launchpad admin) but in the right-hand side of the
> web interface you will find an interface to unsubscribe yourself if you
> so wish.
>

--
Roland Hughes, President
Logikal Solutions
(630)-205-1593

http://www.theminimumyouneedtoknow.com
http://www.infiniteexposure.net

No U.S. troops have ever lost their lives defending our ethanol
reserves.

Colin Watson (cjwatson) wrote :

You asked to be unsubscribed. I am merely assisting you.

I asked because NOBODY "working" on the problem was actually qualified
to solve it. I, and every other Linux user who had need of FAX has had
to move to OpenSuSE because Ubuntu simply cannot get it right.

On Tue, 2011-06-14 at 17:44 +0000, Colin Watson wrote:

> You asked to be unsubscribed. I am merely assisting you.
>

--
Roland Hughes, President
Logikal Solutions
(630)-205-1593

http://www.theminimumyouneedtoknow.com
http://www.infiniteexposure.net

No U.S. troops have ever lost their lives defending our ethanol
reserves.

Colin Watson (cjwatson) on 2011-06-15
Changed in sl-modem (Ubuntu):
assignee: Canonical Foundations Team (canonical-foundations) → أحمد المحمودي (Ahmed El-Mahmoudy) (aelmahmoudy)

How does assigning this to an individual that doesn't even have the
hardware to TEST with solve this problem? That's exactly what you did
before and we were presented with "solutions" that wouldn't even
compile.

As I said, people that need fax support have long since left Ubuntu and
won't be returning.

On Wed, 2011-06-15 at 11:05 +0000, Colin Watson wrote:

> ** Changed in: sl-modem (Ubuntu)
> Assignee: Canonical Foundations Team (canonical-foundations) => أحمد المحمودي (Ahmed El-Mahmoudy) (aelmahmoudy)
>

--
Roland Hughes, President
Logikal Solutions
(630)-205-1593

http://www.theminimumyouneedtoknow.com
http://www.infiniteexposure.net

No U.S. troops have ever lost their lives defending our ethanol
reserves.

Displaying first 40 and last 40 comments. View all 103 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers